Bug 868219 - mysqld_safe cannot read nsswitch.conf
mysqld_safe cannot read nsswitch.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
medium Severity low
: rc
: ---
Assigned To: Daniel Walsh
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 05:57 EDT by Karel Srot
Modified: 2014-06-17 22:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-38.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:21:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-10-19 05:57:10 EDT
Description of problem:

Got this denial during the test execution

----
time->Tue Oct  9 14:38:16 2012
type=SYSCALL msg=audit(1349807896.022:5984): arch=c000003e syscall=2 success=no exit=-13 a0=7f408b344512 a1=80000 a2=1b6 a3=238 items=0 ppid=1 pid=23445 auid=4294967295 uid=27 gid=27 euid=27 suid=27 fsuid=27 egid=27 sgid=27 fsgid=27 tty=(none) ses=4294967295 comm="mysqld_safe" exe="/usr/bin/bash" subj=system_u:system_r:mysqld_safe_t:s0 key=(null)
type=AVC msg=audit(1349807896.022:5984): avc:  denied  { read } for  pid=23445 comm="mysqld_safe" name="nsswitch.conf" dev="dm-1" ino=2752800 scontext=system_u:system_r:mysqld_safe_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file

The test passed anyway, cannot decide whether this should be allowed but doesn't seem to be a big issue if yes.

Version-Release number of selected component (if applicable):
cannot give exact policy version, something close to  selinux-policy-3.11.1-33.el7


How reproducible:
probably occasionally
Comment 2 Daniel Walsh 2012-10-24 16:57:34 EDT
Fixed in selinux-policy-3.11.1-43.el6
Comment 4 Ludek Smid 2014-06-13 08:21:41 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.